<?php
namespace Wordpress\Plugins\CarDealerPress\Inventory\Api;
	
	//SaleClass DropDown Array
	switch($this->sc_atts['saleclass_display']){
		case 0:
			$saleclassA = array('New','Used','Certified');
			break;
		case 1:
			$saleclassA = array('New','Used');
			break;
		case 2:
			$saleclassA = array('Used','Certified');
			break;
		case 3:
			$saleclassA = array('New');
			break;
		case 4:
			$saleclassA = array('Used');
			break;
		case 5:
			$saleclassA = array('Certified');
			break;
	}
	
	//SaleClass Default Value
	switch($this->sc_atts['saleclass_default']){
		case 0:
			$saleclassDefault = $saleclassA[0];
			break;
		case 1:
			$saleclassDefault = 'New';
			break;
		case 2:
			$saleclassDefault = 'Used';
			break;
		case 3:
			$saleclassDefault = 'Certified';
			break;
		case 4:
			$saleclassDefault = '';
			break;
	}
	
	if( $this->sc_atts['style'] == 'inline' ){
		$flexClass = $this->sc_atts['show_trims'] && $this->sc_atts['show_search']? 'flexSix': ($this->sc_atts['show_trims'] || $this->sc_atts['show_search']? 'flexFive': 'flexFour') ;
	} else {
		$flexClass = $this->sc_atts['show_trims'] && $this->sc_atts['show_search']? 'flexFive': ($this->sc_atts['show_trims'] || $this->sc_atts['show_search']? 'flexFour': 'flexThree') ;
	}
	if( !empty($saleclassDefault) ){
		$makes = cdp_plugin::$db_caller->cdp_db_init( 'make', array('saleclass'=>$saleclassDefault) );
		$models = (count($makes) == 1? cdp_plugin::$db_caller->cdp_db_init( 'model', array('saleclass'=>$saleclassDefault,'make'=>$makes[0]['Make']) ): array());
		$trims = (count($makes) == 1 && count($models) == 1? cdp_plugin::$db_caller->cdp_db_init( 'trim', array('saleclass'=>$saleclassDefault,'make'=>$makes[0]['Make'], 'model'=>$models[0]['Model']) ): array());	
	} else {
		$makes = array();
		$models = array();
		$trims = array();
	}
	
	//error_log(print_r($models,true));	

	$content = '<div class="cdp-inventory-shortcode search-shortcode-container '.$this->sc_atts['style'].'">';
		if( !$this->sc_atts['show_counts'] ){
			$content .= '<span class="hide-counts" style="display:none;"></span>';
		}
		//Saleclass
		$content .= '<div class="shortcode-search-list shortcode-search-saleclass '.$flexClass.'" >';
			$content .= (!$this->sc_atts['hide_labels']? '<div class="shortcode-search-label">Saleclass</div>' : '');
			$content .= '<div class="shortcode-search-content">';
				$content .= '<select class="shortcode-input-action shortcode-select-saleclass" name="saleclass">';
					if( empty($saleclassDefault) ){
						$content .= '<option class="select-saleclass" value="" selected>Select a Saleclass</option>';
					}
					foreach( $saleclassA as $value ){
						$selected = ($saleclassDefault == $value? 'selected': '');
						$content .= '<option class="'.strtolower($value).'" value="'.$value.'" '.$selected.'>'.$value.'</option>';
					}
				$content .= '</select>';
			$content .= '</div>';
		$content .= '</div>';
		
		//Makes
		$content .= '<div class="shortcode-search-list shortcode-search-makes '.$flexClass.'" >';
			$content .= (!$this->sc_atts['hide_labels']? '<div class="shortcode-search-label">Makes</div>' : '');
			$content .= '<div class="shortcode-search-content">';
				if( count($makes) == 0 ){
					$content .= '<select class="shortcode-input-action shortcode-select-make lockable" name="make" disabled><option value="0">Makes</option></select>';
				} else {
					$content .= '<select class="shortcode-input-action shortcode-select-make lockable" name="make" '.(count($makes)==1? 'disabled': '').'>';
						$content .= (count($makes) > 1?'<option value="0">Select A Make</option>': '');
						if( count($makes) != 0 ){
							foreach( $makes as $key=>$value ){
								$selected = (count($makes) == 1? 'selected': '');
								$content .= '<option value="'.$value['Make'].'" '.$selected.'>'.$value['Make'];
								$content .= ($this->sc_atts['show_counts']? ' <span class="shortcode-search-count">('.$value['Total'].')</span>': '');
								$content .= '</option>';
							}
						} 
				}
				$content .= '</select>';
			$content .= '</div>';
		$content .= '</div>';
		
		//Models
		$content .= '<div class="shortcode-search-list shortcode-search-models '.$flexClass.'" >';
			$content .= (!$this->sc_atts['hide_labels']? '<div class="shortcode-search-label">Models</div>' : '');
			$content .= '<div class="shortcode-search-content">';
			if( count($makes) == 1 ){
				$content .= '<select class="shortcode-input-action shortcode-select-model lockable" name="model" '.(count($models)==1? 'disabled': '').'>';
					$content .= (count($models) > 1?'<option value="0">All</option>': '');
					foreach( $models as $key=>$value ){
						$selected = (count($models) == 1? 'selected': '');
						$content .= '<option value="'.$value['Model'].'" '.$selected.'>'.$value['Model'];
						$content .= ($this->sc_atts['show_counts']? ' <span class="shortcode-search-count">('.$value['Total'].')</span>': '');
						$content .= '</option>';
					}
				$content .= '</select>';
			} else {
				$content .= '<select class="shortcode-input-action shortcode-select-model lockable" name="model" disabled><option value="0">Models</option></select>';
			}
			$content .= '</div>';
		$content .= '</div>';
		
		//Trims
		if( $this->sc_atts['show_trims'] ){
			$content .= '<div class="shortcode-search-list shortcode-search-trims '.$flexClass.'" >';
				$content .= (!$this->sc_atts['hide_labels']? '<div class="shortcode-search-label">Trims</div>' : '');
				$content .= '<div class="shortcode-search-content">';
				if( count($makes) == 1 && count($models) == 1 ){
					$content .= '<select class="shortcode-input-action shortcode-select-trim lockable" name="trim" '.(count($trims)==1? 'disabled': '').'>';
						$content .= (count($trims) > 1?'<option value="0">All</option>': '');
						foreach( $trims as $key=>$value ){
							$selected = (count($trims) == 1? 'selected': '');
							$content .= '<option value="'.$value['Trim'].'" '.$selected.'>'.$value['Trim'];
							$content .= ($this->sc_atts['show_counts']? ' <span class="shortcode-search-count">('.$value['Total'].')</span>': '');
							$content .= '</option>';
						}
					$content .= '</select>';
				} else {
					$content .= '<select class="shortcode-input-action shortcode-select-trim lockable" name="trim" disabled><option value="0">Trims</option></select>';
				}
				$content .= '</div>';
			$content .= '</div>';
		}
		
		//Search
		if( $this->sc_atts['show_search'] ){
			$content .= '<div class="shortcode-search-text '.$flexClass.'">';
				$content .= (!$this->sc_atts['hide_labels']? '<div class="shortcode-search-label">Text Search</div>' : '');
				$content .= '<div class="shortcode-search-content">';
					$content .= '<input class="shortcode-text-input shortcode-input-search" type="text" value="" placeholder="Search" list="text-data-list" />';
				$content .= '</div>';
			$content .= '</div>';
		}
		
		//Action Button
		$content .= '<div class="shortcode-search-button" name="search">Search</div>';
		
	$content .= '</div>';
	
	$this->sc_content = $content;
?>
